Anonymous Login
2019-12-10 18:42 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000105Pending RequestsEmailspublic2016-12-26 10:25
Reportercaseydk 
Assigned Tocaseydk 
PriorityurgentSeverityminorReproducibilityalways
StatusassignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000105: Email Templating
DescriptionThere should be a way of customizing the templates for each of the emails that come out of the system. This will include adding a header/image, basic html for formatting, customizing some of the language, and inserting replacement tokens where necessary.

Source:
http://bugs.dotproject.net/view.php?id=1800
TagsNo tags attached.
Attached Files

-Relationships
parent of 0000272acknowledgedcaseydk v4.0 Release (Planning) Remove Hard Coded Parameters from New Password Email 
parent of 0000234new Pending Requests Remove Hard Coded Parameters from New File Notification Email 
parent of 0000228new Pending Requests Remove Hard Coded Parameters from Task Log Email Format 
parent of 0000188acknowledgedcaseydk v4.0 Release (Planning) Remove Hard Coded Parameters from New User Created Email 
parent of 0000107acknowledgedcaseydk v4.0 Release (Planning) Remove Hard Coded Parameters from New User Request Email 
parent of 0000911feedback Pending Requests email enhancement 
Not all the children of this issue are yet resolved or closed.
+Relationships

-Notes

~0001834

bigbluehat (developer)

Not to open a can of worms with the age old template engine debate, but would there be any objections to my using Mustache.php for this?

http://mustache.github.com/
https://github.com/bobthecow/mustache.php

~0001835

caseydk (administrator)

Not opposed.. just remember that the idea is token-replacement in outbound email messages only, not a general templating system.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-03 07:53 caseydk New Issue
2011-02-24 00:56 caseydk Project Pending Requests => v2.4 Release (Closed)
2011-03-07 06:11 caseydk Relationship added parent of 0000272
2011-03-07 06:11 caseydk Relationship added parent of 0000234
2011-03-07 06:11 caseydk Relationship added parent of 0000228
2011-03-07 06:11 caseydk Relationship added parent of 0000188
2011-03-07 06:11 caseydk Relationship added parent of 0000107
2011-04-02 06:28 bigbluehat Status new => assigned
2011-04-02 06:28 bigbluehat Assigned To => bigbluehat
2011-04-02 06:30 bigbluehat Note Added: 0001834
2011-04-02 07:32 caseydk Note Added: 0001835
2011-06-25 23:49 caseydk Project v2.4 Release (Closed) => Pending Requests
2013-09-08 22:25 caseydk Project Pending Requests => v3.1 Release
2013-09-08 22:25 caseydk Relationship added parent of 0000911
2013-09-08 22:25 caseydk Priority normal => urgent
2013-11-27 20:40 caseydk Project v3.1 Release => v3.2 Release
2014-01-01 17:28 caseydk Project v3.2 Release => v4.0 Release (Planning)
2014-01-21 17:57 caseydk Target Version => 4.0
2014-03-30 22:14 caseydk Category General => Emails
2014-08-16 22:36 caseydk Assigned To bigbluehat => caseydk
2016-12-26 10:25 caseydk Project v4.0 Release (Planning) => Pending Requests
+Issue History